PCI_FIND_CAPABILITY(9)

NAME
pci_find_capability - query for devices' capabilities

SYNOPSIS

int pci_find_capability (struct pci_dev * dev, int cap);

ARGUMENTS

dev PCI device to query

cap capability code

DESCRIPTION

Tell if a device supports a given PCI capability. Returns the address of the requested capability structure within the device's PCI configuration space or 0 in case the device does not support it. Possible values for cap:

 PCI_CAP_ID_PM Power Management PCI_CAP_ID_AGP Accelerated Graphics Port PCI_CAP_ID_VPD Vital Product Data PCI_CAP_ID_SLOTID Slot Identification PCI_CAP_ID_MSI Message Signalled Interrupts PCI_CAP_ID_CHSWP CompactPCI HotSwap PCI_CAP_ID_PCIX PCI-X PCI_CAP_ID_EXP PCI Express